
개발 사이트 : https://github.com/yangparing/InvenRaidFrames3

r220
	- fixed several bugs.
	- Updates the debuffs of ignore list.

r219

	- fixed several bugs.


r218
	- Added slash command to change profile for advanced users.
		* Usage : /irf s [profile name]
				(or below basic slash commands are available.)

		* Basic slash commands
			SLASH_INVENRAIDFRAMES31 = "/irf"
			SLASH_INVENRAIDFRAMES32 = "/irf3"
			SLASH_INVENRAIDFRAMES33 = "/인벤레이드"
			SLASH_INVENRAIDFRAMES34 = "/인벤레이드프레임"
			SLASH_INVENRAIDFRAMES35 = "/invenraidframe"
			SLASH_INVENRAIDFRAMES36 = "/invenraidframes"
			SLASH_INVENRAIDFRAMES37 = "/ㅑㄱㄹ"
			SLASH_INVENRAIDFRAMES38 = "/ㅑㄱㄹ3"

		* example: 
		  /irf s 기본값

r217
	- Updates the debuff ignore list.
	- Removed the hidden debug code.
	- Support Latest 7.2.5 Release Patch.

r216
	- 7.2.5 패치를 지원합니다.
	- 영문판에서 사용 시 프레임 오류가 간헐적으로 뜨던 문제를 수정합니다.
	- 우르솔의 징표가 (준)생존기 목록에서 삭제됩니다.
	- 신규 쐐기돌, 수련의 장 버프 및 디버프를 업데이트합니다. 

r215
	- 도핑 체크 시 호화로운 수라마르 잔칫상, 훈훈한 잔칫상의 판정 기준이 변경되었습니다. 
		- 호화로운 수라마르 잔칫상은 2차 능력치를 375 올려주는 음식과 동일한 등급으로 취급합니다.
		- 훈훈한 잔칫상은 2차 능력치를 300 올려주는 음식과 동일한 등급으로 취급합니다.
	- 다음 생존기 이름이 변경되었습니다.
		- 비약 (강화 비약) -> 강화 (강화주)
	- 수도사의 강화 비약 생존기가 운무, 풍운(명예 특성) 전문화에서 표시되지 않는 문제를 수정합니다. (아뜰레띠님께 감사드립니다)

r214
	- 공격대 창 고정 방식을 아래와 같이 변경합니다. 
		잠겨있지 않을 때: 자유롭게 공격대 창을 드래그 할 수 있습니다. 
		잠겨있을 때: 공격대 프레임을 고정하여도 ALT 키를 누르면 언제든지 공격대 창을 이동할 수 있습니다. 

		개발자 노트: 게이밍 키보드와 Windows 7 환경에서 호환성 문제가 발생하여 일부 사용자들이 공격대 창을 이동하지 못하는 문제가 발생하였습니다. 창이 잠겨 있지 않을 때에는 아무 제약 없이 드래그가 가능해야 한다는 의견에 공감합니다. 

		기존 사용자들 중 공격대 창을 클릭 시 공격대 창이 마우스를 따라다니는 현상이 발생한다면, 공격대 창을 잠그는 것을 추천합니다.

r213
	- 프레임을 잠그거나 잠금 해제할 때 안내 메시지 출력
	- 회복 드루이드: 주문 타이머의 기본 프로필을 변경 

r212
	- 탈것을 타거나 개체를 조종할 때 레이드 프레임에 탈것 색이 나오지 않고, 전사 색으로 출력되던 문제 수정

r211
	- Update 7.2 TOC

r210
	- 자리비움, 오프라인, 죽음, 유령 상태에 돌입하거나 벗어날 때 레이드 프레임에 상태가 업데이트 되지 않던 문제 수정

r209
	- 생존기가 실시간으로 갱신되지 않는 문제 수정
	- 거리 인식이 달라질 때 이름표 색상, 각종 오라 정보 등이 갱신되지 않던 문제 수정

r208
	- 소환수 표시 기능 영구 비활성화
	 
	 개발자 노트: 소환수 표시 기능은 대격변 때 처음 기능을 선보인 이후 판다리아 중반때부터 한 번도 개량이 되지 않았습니다. 
	 드레노어의 전쟁군주 이후 인벤 레이드 프레임 오류의 주 원인이 되었습니다. 임시 수정으로는 한계에 도달해 소환수 표시 기능을 비활성화합니다.
	 모든 버그가 잡히는대로 소환수 표시 기능은 부활할 예정입니다만, 시간이 오래 걸릴 것입니다.

	 소환수 표시 기능 비활성화로 성능이 약 30% 향상되었으며 특히 메모리 사용량이 30% 경감하였습니다.
	 소환수 표시 기능 사용을 원하시면 r207버전을 사용하시면 됩니다만, 오류에 대해서는 도움을 드리기 어렵습니다)

r207
	- 펫기능 관련 Hook 오류 수정 (3/21)  
	- 도핑체크 시 버프 시간이 남아있지 않은 대상 출력 시 루아 오류 수정 (3/21)

r206
	- 삭제했던 소리 파일들 복원

r205
	- 역할 아이콘 스킨 기능 추가. 기본 아이콘 및 MiirGui 역할 아이콘 중 선택 가능합니다.
	- 소환수가 있는 캐릭(냉법, 냥꾼, 흑마 등...)으로 접속 시 CPU 사용량이 소폭 늘어나던 문제 수정
	- 생존기를 4가지 그룹으로 분류하였고 물약 및 준생존기 표시를 켜거나 끌 수 있습니다. 표시 순위는 외생기, 개인생존기, 준생존기, 물약 순입니다.
	- 7.2 패치 대응 작업

r204
	- 생존기 표시 순서 개선: 1순위 외생기, 2순위 자생기, 3순위 물약 순으로 우선순위를 조정합니다.
	- 소환수 표시를 일체형으로 하면 소환수가 출력되지 않는 문제를 수정합니다.
	- 역할 아이콘을 사용자가 지정할 수 있습니다. 
	- 공격대장/파티장 아이콘을 보는 기능을 추가하였습니다.

r203 [2017/3/17]
	- 도핑 결과를 혼자서 보거나, 공대창/파티창에 출력할 수 있도록 출력 방식 변경.

r202 [2017/3/16]
	- BossAura 루아 오류 수정

r201 [2017/3/16]
	- 레이드 / 파티 탈퇴 시 또는 무작 인던 완료 후 CPU 사용량이 급증하는 문제 수정. 

r200 [2017/3/15]
	- r198 버전에서 잔존하던 버그 수정
	- 무거운 인벤 레이드 프레임을 가볍게 하는 작업을 하였습니다. 
	기존 버전 대비 약 20% 정도 CPU 사용량이 감소하였습니다. 메모리 사용량도 약간 감소하였습니다.  

r199 [2017/3/15]
	- 파티 또는 공대 탈퇴 후 일정 확률로 CPU 사용량이 상승하는 문제를 완화합니다. (애드온 구조 상 완전히 해결은 안됩니다)
	- 레이드 프레임 반응 속도 조정.

r198 [2017/3/15]
	- 불필요한 전역 변수를 지역변수로 전환합니다.
	- 공대 도핑 이름 출력시 서버 명과 판정 기준을 출력하지 않게 변경합니다.
	- 구 버전에서 잔존하던 불필요한 기능 제거합니다 (격노 해제 기능 등)
	- 바닐라/불성/리분/격변/판다/드군 버프/디버프는 목록에서 제거됩니다.
	- 공용으로 로딩하는 소리 파일을 제거하였습니다. 필요하다면 LibSharedMedia 애드온을 설치하여 수동으로 세팅 사용하기 바랍니다. 

r197 [2017/3/15]
- 공대 도핑 여부 체크 기능 추가 
 (전투 준비 시 도핑이 되어 있지 않은 사람을 채팅창에 알려줍니다.)

r196 [2017/3/15]
- 공격대 프레임이 잠겨 있지 않을 때 마우스를 클릭하면 레이드 프레임 전체가 따라 움직이는 문제 수정
 (이제 잠겨 있지 않을 때 공격대 프레임을 움직이려면 Alt 키를 눌러야 움직이게 바꾸었습니다)

r195 [2017/3/14]
- 필요 없어진 구 버전 기능 제거

r194 [2017/3/13]
- 군단 밤의 요새에서 사용하는 중요 디버프/버프 목록(Boss Aura)을 업데이트하였습니다.
- 무작 파티 또는 공격대 찾기에서 중도 참여 플레이어가 레이드 프레임에 안 뜨는 문제를 수정하였습니다.
- 레이드 프레임 갱신 주기를 더 빠르게 하였습니다. (0.2초에서 0.15초로 수정)

r193 [2017/3/8]
- 양조 수도사 무쇠가죽주 생존기 목록 표시

r192 [2017/2/10]
- 주문 타이머에 유용한 버프를 추가하였습니다.
- 7.1.5 환경에 맞게 클릭 캐스팅 내용을 조정하였습니다.

r191 [2016/11/5]
- 디버프 추가

r190 [2016/11/5]
- 7.1 신규 물약 패치

r189
- Update TOC for 7.1

Version 1.8.8 [2016/8/22]
- 거리측정을 조금 덜 자주 체크합니다.

Version 1.8.7 [2016/8/17]
- 누락된 생존기와 유용한 공대 유틸기를 생존기 목록에 추가합니다. 
- 파티 정렬을 직업별로 할 때 악마사냥꾼 아이콘이 나오지 않는 버그를 수정합니다.
- (작업 중) 공대 관리자에서 전원 부공을 주는 기능 추가합니다. 

Version 1.8.6 [2016/8/14]
- 일부 코드 수정했습니다.
- 새 프로필의 기본값이 변경되었습니다.
- 수도사와 악마사냥꾼이 미리보기에 나옵니다.
- 미리 보기 시 각 직업별로 적절한 기술 자원을 표시해줍니다. 

Version 1.8.5 [2016/8/12]
- 일부 생존기 표시 안되는 문제 수정
- 주문 타이머에서 표시할 주문을 spell ID로 등록 가능합니다. 이제 비 한국어 클라이언트 (북미 클라이언트 등)에서 Spell ID로 등록한 주문을 바로 사용할 수 있습니다. (Alkaid님이 소스를 제공해주었습니다: http://www.inven.co.kr/board/powerbbs.php?come_idx=44&l=63591)

Version 1.8.4 [2016/8/5]
블리자드의 잦은 버그 수정, 타 애드온 간섭, 서버랙, 프레임 저하 등의 복합적인 요소로 인해 0.15초 간격으로 호출되어야 하는 거리 이벤트가 죽어버리는 문제를 발견하였습니다. 임시로 이벤트 발생 시 거리 갱신을 수시로 하도록 변경합니다. 이전 버전보다 다소 CPU 사용량이 증가할 수 있습니다. 이 요소는 기본 블리자드 레이드 프레임 기반으로 제작되었습니다. [테스트 중]
- [기술적인 테스트 필요] 이벤트 요소 중 OnUpdate2가 두 번 호출되는 코드가 있어서 OnUpdate, OnUpdate2로 분리하였습니다. 이 수정사항으로 어떠한 변화가 있을 지 테스트해보지 않았습니다. [테스트 중]
- 블리자드사에서 주기적으로 API 요소를 수정 작업 중인 것으로 보여, 당분간 거리 측정 요소는 수정을 보류하겠습니다. 문제가 생기면 /reload 로 임시로 문제를 해결할 수 있습니다.

Version 1.8.3 [2016/8/4]
- 이벤트 요소를 손보았습니다.

Version 1.8.2 [2016/8/3]
- 사소한 버그를 수정합니다.

Version 1.8.1 [2016/8/2]
- 누락된 텍스쳐를 추가합니다.
- 20인, 30인 공격대 미리보기를 추가합니다.
- 일부 오탈자를 수정합니다.

Version 1.8 beta 1 ~ 1.8 정식버전 [2016/7/26 ~ 2016/8/1]
- 운무, 신기, 복술로 플레이 시 해제 가능한 디버프가 제대로 표기되지 않던 문제를 수정합니다.
- 방어 전사로 접속 시 Lua 오류가 뜨는 문제를 수정합니다.
- 군단 유물 무기와 군단 물약 등 대량의 생존기 목록을 업데이트하였습니다.
- 속도가 느려지던 몇몇 코드를 제거하였습니다.
- 클릭캐스팅 대체 기술 리스트를 업데이트하였습니다.
- 공대 버프 기능은 임시로 제거되었습니다.
- 이제 이중 특성 사용 시 1,2,3,4 대신 적절한 전문화 이름이 출력되도록 수정하였습니다.
- 용의 영혼, 판다리아의 안개, 드레노어의 전쟁군주, 기타등등 중요 디버프 목록을 업데이트하였습니다.
- 새로운 캐릭을 만들 때 주문 타이머에 최신 군단이 반영된 기술을 자동으로 등록합니다.
- 공대나 파티원이 죽으면 거리에 따라 죽은 파티원의 닉네임이 흐릿하게 변화합니다. 

Version 1.7.1 alpha 1~5 [2016/7/22 ~ 2016/7/26]

alpha 5
- 이중 특성이었던 캐릭터의 클릭 캐스팅 설정을 읽어오지 못하는 버그를 수정합니다. 


alpha 4
- 클릭캐스팅을 4중 특성으로 따로 저장하도록 변화합니다. 캐릭별로 최대 4개의 특성을 저장할 수 있습니다.

alpha 3
- 이중 특성을 임시로 작동되게 합니다.
- 악마사냥꾼 색상 지정이 가능하며, 군단 패치로 변화된 캐릭터의 자원도 함께 지정이 가능합니다.

alpha 2
- 투명도가 제대로 적용되지 않던 문제 수정합니다.
- 생존기 목록을 업데이트합니다.
- 악마사냥꾼 색상을 지원합니다.


첫 팬픽스 버전.
- TOC 버전을 업데이트합니다.
- 곳곳에 색상이 초록색 바로 나타나는 문제를 수정합니다.
